org.w3._2001._04.xmlenc

## Class CipherReference

- java.lang.Object
- - org.w3._2001._04.xmlenc.CipherReference

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:06:15+01:00",
                 comments="JAXB RI v2.3.7")
      public class CipherReference
      extends Object
      implements Serializable

  Java class for CipherReferenceType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CipherReferenceType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element name="Transforms" type="{http://www.w3.org/2001/04/xmlenc#}TransformsType" minOccurs="0"/>
             </choice>
             <attribute name="URI" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CipherReference()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransformsType` | `getTransforms()` Gets the value of the transforms property.
    `String` | `getURI()` Gets the value of the uri property.
    `void` | `setTransforms(TransformsType value)` Sets the value of the transforms property.
    `void` | `setURI(String value)` Sets the value of the uri property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CipherReference

          public CipherReference()

  - ### Method Detail

    - #### getTransforms

          public TransformsType getTransforms()

      Gets the value of the transforms property.
      Returns:
        possible object is `TransformsType`

    - #### setTransforms

          public void setTransforms(TransformsType value)

      Sets the value of the transforms property.
      Parameters:
        `value` - allowed object is `TransformsType`

    - #### getURI

          public String getURI()

      Gets the value of the uri property.
      Returns:
        possible object is `String`

    - #### setURI

          public void setURI(String value)

      Sets the value of the uri property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPRACTICALNURSE 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.